Anonymous Login
2019-06-24 17:10 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001010v3.2 ReleaseEventspublic2014-08-16 18:58
Reporteramirdt22 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target Version3.2Fixed in Version3.2 
Summary0001010: project hierarchy isn't preserved in list view when updating project parent
DescriptionAfter changing a project's parent the hierarchy isn't presented properly in the project list view.
Additional InformationI created the following independent hierarchies:

AAAA
- AAAA.1

BBBB
- BBBB.1

Everything works as expected.

I edit BBBB to have a parent of AAAA, in the project list when I expand AAAA, BBBB.1 is not part of it.

I would expect:
AAAA
-AAAA.1
-BBBB
--BBBB.1 <-- this is missing

I also added AAAA.1.a under AAAA.1 to test that three levels deep works.

When I go to edit BBBB.1 it knows it's parent is BBBB

TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002280

amirdt22 (reporter)

If I edit BBBB.1 to no parent, then back to BBBB the list update is corrected. I suspect this is a denormalized data side effect.

~0003438

caseydk (administrator)

This was fixed in v3.x development.
+Notes

-Issue History
Date Modified Username Field Change
2011-11-11 09:55 amirdt22 New Issue
2011-11-11 09:58 amirdt22 Note Added: 0002280
2014-06-11 18:03 caseydk Project Pending Requests => v3.2 Release
2014-06-11 18:03 caseydk Note Added: 0003438
2014-06-11 18:03 caseydk Status new => resolved
2014-06-11 18:03 caseydk Resolution open => fixed
2014-06-11 18:03 caseydk Category General => Calendar
2014-06-11 18:03 caseydk Fixed in Version => 3.2
2014-06-11 18:03 caseydk Target Version => 3.2
2014-07-06 23:16 caseydk Assigned To => caseydk
2014-07-06 23:16 caseydk Status resolved => assigned
2014-07-06 23:16 caseydk Status assigned => resolved
2014-07-16 21:30 caseydk Status resolved => closed
2014-08-16 18:58 caseydk Category Calendar => Events
+Issue History